Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I almost have installed citadel on ubuntu 8.04. First I added

deb http://debian.citadel.org/ubuntu/ hardy main

to my /etc/apt/sources.list

Then I ran

apt-get update

Then I ran the apt-get install citadel-suite command. Interestingly, I get this problem:

dpkg: error processing /var/cache/apt/archives/libsieve2-1_2.2.6-1_i386.deb (--unpack):
 trying to overwrite `/usr/lib/libsieve.so.1', which is also in package libmailutils1
Errors were encountered while processing:
 /var/cache/apt/archives/libsieve2-1_2.2.6-1_i386.deb

So it appears that libmailutils1 already created a file /usr/lib/libsieve.so.1, and now libsieve can't install.

How can I get around this?

share|improve this question
add comment

1 Answer 1

up vote 0 down vote accepted

Sweet! I got it.

First, a bit of reading. Then,

dpkg -r libmailutils1
apt-get -f install

I'm not sure if this will have any side-effects later, but it seems like a solution for now

share|improve this answer
    
This is actually not a good solution. It means I cannot use the mail command that is in mailutils. When I try to re-install mailutils, I get the same "libsieve.so.1" already exists error as outlined above –  bobobobo Aug 21 '10 at 14:42
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.